LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XColumnRowRange Interface Referencepublished

provides methods to access the collections of columns and rows of a cell range. More...

`import"XColumnRowRange.idl";`

Inheritance diagram for XColumnRowRange:

## Public Member Functions
com::sun::star::table::XTableColumns | getColumns ()
| returns the collection of columns in the range. More...
com::sun::star::table::XTableRows | getRows ()
| returns the collection of rows in the range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access the collections of columns and rows of a cell range.

See also
  com::sun::star::table::CellRange

Developers Guide
  Spreadsheet Documents - Column and Row Access

## Member Function Documentation

## ◆ getColumns()

com::sun::star::table::XTableColumns getColumns | ( |  | ) |

returns the collection of columns in the range.

See also
  com::sun::star::table::TableColumns

## ◆ getRows()

com::sun::star::table::XTableRows getRows | ( |  | ) |

returns the collection of rows in the range.

See also
  com::sun::star::table::TableRows

The documentation for this interface was generated from the following file:

- com/sun/star/table/XColumnRowRange.idl